Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.addon.pageeditor.ParagraphEditingProviderCallback Class Reference

## Public Member Functions
void | addUndoItem (ParagraphEditingUndoItem undo_item)
| A callback function used to notify the page to add undo operation. More...
RectF | getClientRect (PDFDoc document)
| A callback function to get the client rectangle in device coordinate system. More...
int | getCurrentPageIndex (PDFDoc document)
| A callback function used to get current page index. More...
RectF | getPageRect (PDFDoc document, int page_index)
| A callback function used to get page rectangle in device coordinate system. More...
java.lang.Object | getPageViewHandle (PDFDoc document, int page_index)
| A callback function to get the page view window handle. More...
RectF | getPageVisibleRect (PDFDoc document, int page_index)
| A callback function used to get visible page rectangle in device coordinate system. More...
Matrix2D | getRenderMatrix (PDFDoc document, int page_index)
| A callback function to get the render matrix. More...
int | getRotation (PDFDoc document, int page_index)
| A callback function used to get the page view rotate. More...
float | getScale (PDFDoc document, int page_index)
| A callback function to get the scale of page. More...
Int32Array | getVisiblePageIndexArray (PDFDoc document)
| A callback function used to get visible page indexes. More...
boolean | gotoPageView (PDFDoc document, int page_index, float left, float top)
| A callback function to go to page view. More...
void | invalidateRect (PDFDoc document, int page_index, RectFArray invalid_rects)
| A callback function used to invalidate page rectangle. More...
void | notifyTextInputReachLimit (PDFDoc document, int page_index)
| A callback function used to notify text input reach limit. More...
void | release ()
| A callback function used to release current callback object itself. More...
void | setDocChangeMark (PDFDoc document)
| A callback function used to notify the document have changed. More...

## Detailed Description

This class represents a callback object for paragraph edit provider. All the pure virtual functions in this class are used as callback functions and should be implemented by user.

## Member Function Documentation

## ◆ addUndoItem()

void com.foxit.sdk.addon.pageeditor.ParagraphEditingProviderCallback.addUndoItem | ( | ParagraphEditingUndoItem | undo_item | ) |

A callback function used to notify the page to add undo operation.

Parameters

  [in] | undo_item | The undo item object.

Returns
  None.

## ◆ getClientRect()

RectF com.foxit.sdk.addon.pageeditor.ParagraphEditingProviderCallback.getClientRect | ( | PDFDoc | document | ) |

A callback function to get the client rectangle in device coordinate system.

Returns
  The client rectangle.

## ◆ getCurrentPageIndex()

int com.foxit.sdk.addon.pageeditor.ParagraphEditingProviderCallback.getCurrentPageIndex | ( | PDFDoc | document | ) |

A callback function used to get current page index.

Returns
  The page index.

## ◆ getPageRect()

RectF com.foxit.sdk.addon.pageeditor.ParagraphEditingProviderCallback.getPageRect | ( | PDFDoc | document,
|  | int | page_index
| ) |  |

A callback function used to get page rectangle in device coordinate system.

Parameters

  [in] | page_index | The page index.

Returns
  The page rectangle.

## ◆ getPageViewHandle()

java.lang.Object com.foxit.sdk.addon.pageeditor.ParagraphEditingProviderCallback.getPageViewHandle | ( | PDFDoc | document,
|  | int | page_index
| ) |  |

A callback function to get the page view window handle.

Parameters

  [in] | page_index | The page index.

Returns
  The page view window handle.

## ◆ getPageVisibleRect()

RectF com.foxit.sdk.addon.pageeditor.ParagraphEditingProviderCallback.getPageVisibleRect | ( | PDFDoc | document,
|  | int | page_index
| ) |  |

A callback function used to get visible page rectangle in device coordinate system.

Parameters

  [in] | page_index | The page index.

Returns
  The page visble rectangle.

## ◆ getRenderMatrix()

Matrix2D com.foxit.sdk.addon.pageeditor.ParagraphEditingProviderCallback.getRenderMatrix | ( | PDFDoc | document,
|  | int | page_index
| ) |  |

A callback function to get the render matrix.

Parameters

  [in] | page_index | The page index.

Returns
  The matrix.

## ◆ getRotation()

int com.foxit.sdk.addon.pageeditor.ParagraphEditingProviderCallback.getRotation | ( | PDFDoc | document,
|  | int | page_index
| ) |  |

A callback function used to get the page view rotate.

Parameters

  [in] | page_index | The page index.

Returns
  The indent value.

## ◆ getScale()

float com.foxit.sdk.addon.pageeditor.ParagraphEditingProviderCallback.getScale | ( | PDFDoc | document,
|  | int | page_index
| ) |  |

A callback function to get the scale of page.

Parameters

  [in] | page_index | The page index.

Returns
  The scale value. The returned value should be greater than 0.

## ◆ getVisiblePageIndexArray()

Int32Array com.foxit.sdk.addon.pageeditor.ParagraphEditingProviderCallback.getVisiblePageIndexArray | ( | PDFDoc | document | ) |

A callback function used to get visible page indexes.

Returns
  The visble page index array.

## ◆ gotoPageView()

boolean com.foxit.sdk.addon.pageeditor.ParagraphEditingProviderCallback.gotoPageView | ( | PDFDoc | document,
|  | int | page_index,
|  | float | left,
|  | float | top
| ) |  |

A callback function to go to page view.

Parameters

  [in] | page_index | The page index.
  [in] | left | The left point where left mouse button is up in the page, in PDF coordinate system.
  [in] | top | The top point where left mouse button is up in the page, in PDF coordinate system.

Returns
  true means successful, while false means not.

## ◆ invalidateRect()

void com.foxit.sdk.addon.pageeditor.ParagraphEditingProviderCallback.invalidateRect | ( | PDFDoc | document,
|  | int | page_index,
|  | RectFArray | invalid_rects
| ) |  |

A callback function used to invalidate page rectangle.

Parameters

  [in] | page_index | The page index.
  [in] | rects | The invalid areas. The rectangle in invalid_rects is in device coordinate system.

Returns
  None.

## ◆ notifyTextInputReachLimit()

void com.foxit.sdk.addon.pageeditor.ParagraphEditingProviderCallback.notifyTextInputReachLimit | ( | PDFDoc | document,
|  | int | page_index
| ) |  |

A callback function used to notify text input reach limit.

Parameters

  [in] | page_index | The page index.

Returns
  None.

## ◆ release()

void com.foxit.sdk.addon.pageeditor.ParagraphEditingProviderCallback.release | ( |  | ) |

A callback function used to release current callback object itself.

Returns
  None.

## ◆ setDocChangeMark()

void com.foxit.sdk.addon.pageeditor.ParagraphEditingProviderCallback.setDocChangeMark | ( | PDFDoc | document | ) |

A callback function used to notify the document have changed.

Parameters

  [in] | document | The valid pdf document.

Returns
  None.